> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juju.bi/llms.txt
> Use this file to discover all available pages before exploring further.

# Installations

> Track which REST API endpoints are currently supported by Jujubi.

export const SUPPORT_STATUS_CONFIG = {
  supported: {
    color: 'green',
    label: 'Supported'
  },
  partial: {
    color: 'blue',
    label: 'Partial'
  },
  unsupported: {
    color: 'yellow',
    label: 'Planned'
  },
  never: {
    color: 'red',
    label: 'Never'
  }
};

export const SupportStatus = ({status, count}) => {
  const config = SUPPORT_STATUS_CONFIG[status] ?? SUPPORT_STATUS_CONFIG.unsupported;
  const text = count == null ? config.label : `${config.label}: ${count}`;
  return <Badge color={config.color} size="sm">
      {text}
    </Badge>;
};

## Unsupported

* [`GET /installation/repositories`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#list-repositories-accessible-to-the-app-installation) <Badge color="purple" size="sm">IAT</Badge> - List repositories accessible to the app installation
* [`DELETE /installation/token`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#revoke-an-installation-access-token) <Badge color="purple" size="sm">IAT</Badge> - Revoke an installation access token
* [`GET /user/installations`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#list-app-installations-accessible-to-the-user-access-token) <Badge color="blue" size="sm">UAT</Badge> - List app installations accessible to the user access token
* [`GET /user/installations/{installation_id}/repositories`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#list-repositories-accessible-to-the-user-access-token) <Badge color="blue" size="sm">UAT</Badge> - List repositories accessible to the user access token
* [`PUT /user/installations/{installation_id}/repositories/{repository_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#add-a-repository-to-an-app-installation) - Add a repository to an app installation
* [`DELETE /user/installations/{installation_id}/repositories/{repository_id}`](https://docs.github.com/enterprise-cloud@latest/rest/apps/installations#remove-a-repository-from-an-app-installation) - Remove a repository from an app installation
